# TMatrixMN< T > Class Template Reference

Inheritance diagram for TMatrixMN< T >:

List of all members.

## Public Member Functions
| TMatrixMN (void)
| TMatrixMN (const uint32 rows, const uint32 columns)
| TMatrixMN (const TMatrixMN &m)
| ~TMatrixMN (void)
void | SetDimension (const int32 rowDimension, const int32 columnDimension)
void | ReleaseStorage (void)
uint32 | GetRowDimension (void) const
uint32 | GetColumnDimension (void) const
uint32 | GetRowCount () const
uint32 | GetColumnCount () const
T | operator() (const uint32 row, const uint32 col) const
T & | operator() (const uint32 row, const uint32 col)
void | AddRow (TVectorN< T > &row)
void | AddColumn (TVectorN< T > &column)
void | RemoveColumn (int32 colToDelete)
void | RemoveLine (int32 lineToDelete)
void | SwapLines (int32 l1, int32 l2)
void | SwapColumns (int32 c1, int32 c2)
void | MoveLineToTheEnd (int32 rowIndex)
void | MoveColumnToTheEnd (int32 columnIndex)
const T & | operator[] (const uint32 i) const
T & | operator[] (const uint32 i)
void | SetDiagonal (const TVectorN< T > &v)
void | SetValuesToIdentity (void)
void | SetValuesToZero (void)
void | SetToTranspose (void)
void | SetToTransposeOf (const TMatrixMN< T > &m)
void | GetRow (const uint32 rowNum, TVectorN< T > &v) const
void | SetRow (const uint32 rowNum, const TVectorN< T > &v)
void | GetColumn (const uint32 colNum, TVectorN< T > &v) const
void | SetColumn (const uint32 colNum, const TVectorN< T > &v)
TMatrixMN & | operator= (const TMatrixMN &m)
void | operator*= (const T scalar)
void | Multiply (const TMatrixMN< T > &m, const TMatrixMN< T > &n)
void | MultiplyRows (const TVectorN< T > &v)
void | MultiplyColumns (const TVectorN< T > &v)
## Static Public Member Functions
static void | MultiplyVector (const TMatrixMN< T > &m, const TVectorN< T > &v, TVectorN< T > &result)
static void | MultiplyVector (const TVectorN< T > &v, const TMatrixMN< T > &m, TVectorN< T > &result)
## Private Attributes
int32 | fCurrentRowDimension
int32 | fCurrentColumnDimension
TMCArray< T > | fData

## Detailed Description

### template<class T>
class TMatrixMN< T >

This is never used, so it might be buggy...

## Constructor & Destructor Documentation

template<class T>

TMatrixMN< T >::TMatrixMN | ( | void |  | ) |

template<class T>

TMatrixMN< T >::TMatrixMN | ( | const uint32 | rows,
|  | const uint32 | columns |
| ) |  |  |

template<class T>

TMatrixMN< T >::TMatrixMN | ( | const TMatrixMN< T > & | m | ) |

template<class T>

TMatrixMN< T >::~TMatrixMN | ( | void |  | ) |

## Member Function Documentation

template<class T>

void TMatrixMN< T >::AddColumn | ( | TVectorN< T > & | column | ) |

template<class T>

void TMatrixMN< T >::AddRow | ( | TVectorN< T > & | row | ) |

template<class T>

void TMatrixMN< T >::GetColumn | ( | const uint32 | colNum,
|  | TVectorN< T > & | v |
| ) |  |  | const

template<class T>

uint32 TMatrixMN< T >::GetColumnCount | ( |  | ) | const`[inline]`

template<class T >

uint32 TMatrixMN< T >::GetColumnDimension | ( | void |  | ) | const`[inline]`

template<class T>

void TMatrixMN< T >::GetRow | ( | const uint32 | rowNum,
|  | TVectorN< T > & | v |
| ) |  |  | const

template<class T>

uint32 TMatrixMN< T >::GetRowCount | ( |  | ) | const`[inline]`

template<class T >

uint32 TMatrixMN< T >::GetRowDimension | ( | void |  | ) | const`[inline]`

template<class T>

void TMatrixMN< T >::MoveColumnToTheEnd | ( | int32 | columnIndex | ) |

template<class T>

void TMatrixMN< T >::MoveLineToTheEnd | ( | int32 | rowIndex | ) |

template<class T>

void TMatrixMN< T >::Multiply | ( | const TMatrixMN< T > & | m,
|  | const TMatrixMN< T > & | n |
| ) |  |  |

template<class T>

void TMatrixMN< T >::MultiplyColumns | ( | const TVectorN< T > & | v | ) |

template<class T>

void TMatrixMN< T >::MultiplyRows | ( | const TVectorN< T > & | v | ) |

template<class T>

static void TMatrixMN< T >::MultiplyVector | ( | const TVectorN< T > & | v,
|  | const TMatrixMN< T > & | m,
|  | TVectorN< T > & | result |
| ) |  |  | `[static]`

template<class T>

static void TMatrixMN< T >::MultiplyVector | ( | const TMatrixMN< T > & | m,
|  | const TVectorN< T > & | v,
|  | TVectorN< T > & | result |
| ) |  |  | `[static]`

template<class T >

T & TMatrixMN< T >::operator() | ( | const uint32 | row,
|  | const uint32 | col |
| ) |  |  | `[inline]`

template<class T >

T TMatrixMN< T >::operator() | ( | const uint32 | row,
|  | const uint32 | col |
| ) |  |  | const`[inline]`

template<class T>

void TMatrixMN< T >::operator*= | ( | const T | scalar | ) |

template<class T>

TMatrixMN& TMatrixMN< T >::operator= | ( | const TMatrixMN< T > & | m | ) |

template<class T >

T & TMatrixMN< T >::operator[] | ( | const uint32 | i | ) | `[inline]`

template<class T >

const T & TMatrixMN< T >::operator[] | ( | const uint32 | i | ) | const`[inline]`

template<class T>

void TMatrixMN< T >::ReleaseStorage | ( | void |  | ) |

template<class T>

void TMatrixMN< T >::RemoveColumn | ( | int32 | colToDelete | ) |

template<class T>

void TMatrixMN< T >::RemoveLine | ( | int32 | lineToDelete | ) |

template<class T>

void TMatrixMN< T >::SetColumn | ( | const uint32 | colNum,
|  | const TVectorN< T > & | v |
| ) |  |  |

template<class T>

void TMatrixMN< T >::SetDiagonal | ( | const TVectorN< T > & | v | ) |

template<class T>

void TMatrixMN< T >::SetDimension | ( | const int32 | rowDimension,
|  | const int32 | columnDimension |
| ) |  |  |

template<class T>

void TMatrixMN< T >::SetRow | ( | const uint32 | rowNum,
|  | const TVectorN< T > & | v |
| ) |  |  |

template<class T>

void TMatrixMN< T >::SetToTranspose | ( | void |  | ) |

template<class T>

void TMatrixMN< T >::SetToTransposeOf | ( | const TMatrixMN< T > & | m | ) |

template<class T>

void TMatrixMN< T >::SetValuesToIdentity | ( | void |  | ) |

template<class T>

void TMatrixMN< T >::SetValuesToZero | ( | void |  | ) |

template<class T>

void TMatrixMN< T >::SwapColumns | ( | int32 | c1,
|  | int32 | c2 |
| ) |  |  |

template<class T>

void TMatrixMN< T >::SwapLines | ( | int32 | l1,
|  | int32 | l2 |
| ) |  |  |

## Member Data Documentation

template<class T>

int32 TMatrixMN< T >::fCurrentColumnDimension`[private]`

template<class T>

int32 TMatrixMN< T >::fCurrentRowDimension`[private]`

template<class T>

TMCArray<T> TMatrixMN< T >::fData`[private]`

The documentation for this class was generated from the following file:

- MatrixMN.h